Subject: Re: bug#62936: [core-updates] pre-inst-env no longer works

From: Brian Cully <[email-masked]>
Date: Wed, 19 Apr 2023 07:29:31 -0400

Simon Tournier <[email-masked]> writes:

>> ~/src/guix-core-updates $ ./pre-inst-env -- guix build zsh
>
> Are you sure about the dash-dash (--) with ./pre-inst-env?
>
> I get this:
>
> $ ./pre-inst-env guix describe
> Git checkout:
>   repository: /home/simon/src/guix/wk/core-updates/
>   branch: core-updates
>   commit: 1c86be2fd69d84f536518cc5e4a32c067e851709
>
> $ ./pre-inst-env -- guix describe
> ./pre-inst-env: 55: exec: --: not found

Odd. I didn't think it made a difference (though I don't currently 
have a working ‘pre-inst-env’) to check with. Do note that the 
error you're seeing is different from the one I posted, and 
explicable.

If I try without the double dash, there's no difference for me:

--8<---------------cut here---------------start------------->8---
~/src/guix-core-updates $ ./pre-inst-env guix build emacs-magit
hint: Consider installing the `glibc-locales' package and defining 
`GUIX_LOCPATH', along these lines:

     guix install glibc-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

guix build: error: gcry_md_hash_buffer: Function not implemented
--8<---------------cut here---------------end--------------->8---

As a fun aside, using ‘guix describe’ also fails, though at a 
different C binding point:

--8<---------------cut here---------------start------------->8---
~/src/guix-core-updates $ ./pre-inst-env guix describe
hint: Consider installing the `glibc-locales' package and defining 
`GUIX_LOCPATH', along these lines:

     guix install glibc-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

Backtrace:
In ice-9/threads.scm:
    390:8 19 (_ _)
In ice-9/boot-9.scm:
  3253:13 18 (_)
In ice-9/threads.scm:
    390:8 17 (_ _)
In ice-9/boot-9.scm:
  3544:20 16 (_)
   2836:4 15 (save-module-excursion _)
  3564:26 14 (_)
In unknown file:
          13 (primitive-load-path "guix/channels" #<procedure 
          7f7677c326e0 at ice-9/boot-9.scm:3551?>)
In ice-9/boot-9.scm:
  3923:23 12 (_)
   3411:4 11 (define-module* _ #:filename _ #:pure _ #:version _ 
   #:imports _ #:exports _ # _ # _ # _ ?)
  3424:24 10 (_)
   222:17  9 (map1 (((git)) ((guix git)) ((guix git-authenticate)) 
   ((guix openpgp) #:select (?)) # ?))
  3327:17  8 (resolve-interface (git) #:select _ #:hide _ #:prefix 
  _ #:renamer _ #:version _)
In ice-9/threads.scm:
    390:8  7 (_ _)
In ice-9/boot-9.scm:
  3253:13  6 (_)
In ice-9/threads.scm:
    390:8  5 (_ _)
In ice-9/boot-9.scm:
  3544:20  4 (_)
   2836:4  3 (save-module-excursion #<procedure 7f7677c206f0 at 
   ice-9/boot-9.scm:3545:21 ()>)
  3564:26  2 (_)
In unknown file:
           1 (primitive-load-path "git" #<procedure 7f7677c32460 
           at ice-9/boot-9.scm:3551:37 ()>)
In git/bindings.scm:
     66:8  0 (_ . _)

git/bindings.scm:66:8: In procedure git_libgit2_init: Function not 
implemented
--8<---------------cut here---------------end--------------->8---

-bjc